Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] /main/xf86bigfontproto: add package function and create -dev subpackage

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Wed, 21 Oct 2015 12:54:32 +0200

---
 main/xf86bigfontproto/APKBUILD | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)
diff --git a/main/xf86bigfontproto/APKBUILD b/main/xf86bigfontproto/APKBUILD
index 0aa84f1..62ce535 100644
--- a/main/xf86bigfontproto/APKBUILD
+++ b/main/xf86bigfontproto/APKBUILD
_at_@ -1,23 +1,39 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=xf86bigfontproto
 pkgver=1.2.0
-pkgrel=2
+pkgrel=3
 pkgdesc="X11 Big Fonts extension wire protocol"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom"
 depends=""
+depends_dev=""
 makedepends=""
+install=""
+subpackages="$pkgname-dev"
 source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
 
-build() { 
-	cd "$srcdir"/$pkgname-$pkgver
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
 		|| return 1
 	make || return 1
-	make DESTDIR="$pkgdir" install || return 1
 }
+
+package() {
+	make DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
 md5sums="120e226ede5a4687b25dd357cc9b8efe  xf86bigfontproto-1.2.0.tar.bz2"
+sha256sums="ba9220e2c4475f5ed2ddaa7287426b30089e4d29bd58d35fad57ba5ea43e1648  xf86bigfontproto-1.2.0.tar.bz2"
+sha512sums="35b53ee1f428fee6777733264a7534a28ec6ffb29fc0ad9ab02337101d651ec94007bf840d0b591ee36a063280d4a4c71ff08f37100a63bb27581b5a9f69a710  xf86bigfontproto-1.2.0.tar.bz2"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Oct 21 2015 - 12:54:32 GMT